summaryrefslogtreecommitdiff
path: root/t/remake10a.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:27:49 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-28 13:37:53 +0200
commitb21d68690612214d8edd810acf11880c3c0ad586 (patch)
tree7506c8901d7d16c4a5603a11e567b9e6315c9e9d /t/remake10a.sh
parentda9ad6fafeaf5dfa710a1a2b4176d1a049fddf13 (diff)
parentd25fac43a7c239fe8f56b2ce1b87ef3e3d4d7ef0 (diff)
downloadautomake-b21d68690612214d8edd810acf11880c3c0ad586.tar.gz
Merge branch 'maint'
* maint: tests: simpler workaround for shells losing the exit status in exit trap + Extra non-trivial edits: * Several tests: Adjusted to use 'exit' rather than 'Exit'. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/remake10a.sh')
-rwxr-xr-xt/remake10a.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/t/remake10a.sh b/t/remake10a.sh
index 358554f3e..830d6ca2b 100755
--- a/t/remake10a.sh
+++ b/t/remake10a.sh
@@ -18,7 +18,7 @@
# configure.ac.
# Keep in sync with sister tests 'remake10b.test' and 'remake10c.test'.
-. ./defs || Exit 1
+. ./defs || exit 1
magic1=::MagicStringOne::
magic2=__MagicStringTwo__
@@ -75,7 +75,7 @@ for vpath in : false; do
echo "m4_define([my_fingerprint], [$magic2])" > $top_srcdir/foo.m4
$remake
$FGREP FINGERPRINT Makefile # For debugging.
- $FGREP $magic1 Makefile && Exit 1
+ $FGREP $magic1 Makefile && exit 1
$FGREP $magic2 Makefile
$sleep
@@ -83,24 +83,24 @@ for vpath in : false; do
echo "m4_define([my_fingerprint], [$magic3])" > $top_srcdir/bar.m4
$remake
$FGREP FINGERPRINT Makefile # For debugging.
- $FGREP $magic1 Makefile && Exit 1
- $FGREP $magic2 Makefile && Exit 1
+ $FGREP $magic1 Makefile && exit 1
+ $FGREP $magic2 Makefile && exit 1
$FGREP $magic3 Makefile
$sleep
echo "m4_define([my_fingerprint], [$magic1])" > $top_srcdir/bar.m4
$remake
- $FGREP $magic2 Makefile && Exit 1
- $FGREP $magic3 Makefile && Exit 1
+ $FGREP $magic2 Makefile && exit 1
+ $FGREP $magic3 Makefile && exit 1
$FGREP $magic1 Makefile
$sleep
echo "m4_define([my_fingerprint], [DummyValue])" > $top_srcdir/foo.m4
using_gmake || $remake
$MAKE distcheck
- $FGREP $magic1 Makefile && Exit 1 # Sanity check.
- $FGREP $magic2 Makefile && Exit 1 # Likewise.
- $FGREP $magic3 Makefile && Exit 1 # Likewise.
+ $FGREP $magic1 Makefile && exit 1 # Sanity check.
+ $FGREP $magic2 Makefile && exit 1 # Likewise.
+ $FGREP $magic3 Makefile && exit 1 # Likewise.
$MAKE distclean